#
# spec file for package rubygem-simplecov
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-simplecov
Version:        0.10.0
Release:        5.3
%define mod_name simplecov
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 1.8.7}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
Url:            http://github.com/colszowka/simplecov
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Code coverage for Ruby 1.9+ with a powerful configuration library
License:        MIT
Group:          Development/Languages/Ruby

%description
Code coverage for Ruby 1.9+ with a powerful configuration library and
automatic merging of coverage across test suites.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md MIT-LICENSE README.md" \
  -f

%gem_packages

%changelog
* Thu Apr 23 2015 coolo@suse.com
- updated to version 0.10.0
  see installed CHANGELOG.md
* Thu Feb 19 2015 coolo@suse.com
- updated to version 0.9.2
* Wed Oct 15 2014 coolo@suse.com
- updated to version 0.9.1
  [#]# Bugfixes
  * In 0.9.0, we introduced a regression that made SimpleCov no-op mode fail on Ruby 1.8, while
    dropping 1.8 support altogether is announced only for v1.0. This has been fixed.
    See [#333](https://github.com/colszowka/simplecov/issues/333) (thanks (@sferik)
  0.9.0, 2014-07-17 ([changes](https://github.com/colszowka/simplecov/compare/v0.8.2...v0.9.0))
  ====================
  * *A warm welcome and big thank you to the new contributors [@xaviershay](https://github.com/xaviershay), [@sferik](https://github.com/sferik) and especially [@bf4](https://github.com/bf4) for tackling a whole lot of issues and pull requests for this release!**
  [#]# Enhancements
  * New interface to specify multiple formatters.
    See [#317](https://github.com/colszowka/simplecov/pull/317) (thanks @sferik)
  * Document in the README how to exclude code from coverage reports,
    and that the feature shouldn't be abused for skipping untested
    private code.
    See [#304](https://github.com/colszowka/simplecov/issues/304)
  * Clarify Ruby version support.
    See [#279](https://github.com/colszowka/simplecov/pull/279) (thanks @deivid-rodriguez)
  [#]# Bugfixes
  * Ensure calculations return Floats, not Fixnum or Rational. Fixes segfaults with mathn.
    See [#245](https://github.com/colszowka/simplecov/pull/245) (thanks to @bf4)
  * Using `Kernel.exit` instead of exit to avoid uncaught throw :IRB_EXIT when
    exiting irb sessions.
    See [#287](https://github.com/colszowka/simplecov/pull/287) (thanks @wless1)
    See [#285](https://github.com/colszowka/simplecov/issues/285)
  * Does not look for .simplecov in ~/ when $HOME is not set.
    See [#311](https://github.com/colszowka/simplecov/pull/311) (thanks @lasseebert)
  * Exit with code only if it's Numeric > 0.
    See [#302](https://github.com/colszowka/simplecov/pull/303)(thanks @hajder)
  * Make default filter case insensitive.
    See [#280](https://github.com/colszowka/simplecov/pull/280) (thanks @ryanatball)
  * Improve regexp that matches functional tests.
    See [#276](https://github.com/colszowka/simplecov/pull/276) (thanks @sferik)
  * Fix TravisCI [#272](https://github.com/colszowka/simplecov/pull/272) [#278](https://github.com/colszowka/simplecov/pull/278), [#302](https://github.com/colszowka/simplecov/pull/302)
  * Fix global config load.
    See [#311](https://github.com/colszowka/simplecov/pull/311) (thanks @lasseebert)
* Mon Oct 13 2014 adrian@suse.de
- adapt to new rubygem packaging style
* Fri Nov 22 2013 coolo@suse.com
- updated to version 0.8.2, see CHANGELOG.md (tons of those)
* Sun Oct 28 2012 coolo@suse.com
- updated to version 0.7.1
  * [BUGFIX] The gem packages of 0.7.0 (both simplecov and simplecov-html) pushed to Rubygems had some file
    permission issues, leading to problems when installing SimpleCov in a root/system Rubygems install and then
    trying to use it as a normal user (see https://github.com/colszowka/simplecov/issues/171, thanks @envygeeks
    for bringing it up). The gem build process has been changed to always enforce proper permissions before packaging
    to avoid this issue in the future.
* Fri Oct 12 2012 coolo@suse.com
- updated to version 0.7.0
  * [FEATURE] The new `maximum_coverage_drop` and `minimum_coverage` now allow you to fail your build when the
    coverage dropped by more than what you allowed or is below a minimum value required. Also, `refuse_coverage_drop` disallows
    any coverage drops between test runs.
    See https://github.com/colszowka/simplecov/pull/151, https://github.com/colszowka/simplecov/issues/11,
    https://github.com/colszowka/simplecov/issues/90, and https://github.com/colszowka/simplecov/issues/96 (thanks to @infertux)
  * [FEATURE] SimpleCov now ships with a built-in MultiFormatter which allows the easy usage of multiple result formatters at
    the same time without the need to write custom wrapper code.
    See https://github.com/colszowka/simplecov/pull/158 (thanks to @nikitug)
  * [BUGFIX] The usage of digits, hyphens and underscores in group names could lead to broken tab navigation
    in the default simplecov-html reports. See https://github.com/colszowka/simplecov-html/pull/14 (thanks to @ebelgarts)
  * [REFACTORING] A few more ruby warnings removed. See https://github.com/colszowka/simplecov/issues/106 and
    https://github.com/colszowka/simplecov/pull/139. (thanks to @lukejahnke)
  * A [Pledgie button](https://github.com/colszowka/simplecov/commit/63cfa99f8658fa5cc66a38c83b3195fdf71b9e93) for those that
    feel generous :)
  * The usual bunch of README fixes and documentation tweaks. Thanks to everyone who contributed those!
* Thu May 10 2012 coolo@suse.com
- update to 0.6.4
  * [BUGFIX] Encoding issues with ISO-8859-encoded source files fixed.
  See https://github.com/colszowka/simplecov/pull/117. (thanks to @Deradon)
  * [BUGFIX] Ensure ZeroDivisionErrors won't occur when calculating the coverage result, which previously
  could happen in certain cases. See https://github.com/colszowka/simplecov/pull/128. (thanks to @japgolly)
  * [REFACTORING] Changed a couple instance variable lookups so SimpleCov does not cause a lot of warnings when
  running ruby at a higher warning level. See https://github.com/colszowka/simplecov/issues/106 and
  https://github.com/colszowka/simplecov/pull/119. (thanks to @mvz and @gioele)
  * [BUGFIX] Modified the API-changes for newer multi_json versions introduced with #122 and v0.6.2 so
  they are backwards-compatible with older multi_json gems in order to avoid simplecov polluting
  the multi_json minimum version requirement for entire applications.
  See https://github.com/colszowka/simplecov/issues/132
  * Added appraisal gem to the test setup in order to run the test suite against both 1.0 and 1.3
  multi_json gems and ensure the above actually works :)
* Mon Apr 23 2012 coolo@suse.com
- update to 0.6.2 - remove use of deprecated multijson API
* Sat Apr  7 2012 coolo@suse.com
- initial package
